# FabFire Protokoll
Das FabFire Protokoll besteht aus einer direkten Verbindung des Servers mit der SmartCard.
Die Daten die auf der Smartcard hinterlegt sind stellen hierbeit den Trustpoint da.

Bei der Erstellung der Karte wird eine Applikation mit der ID `0x464142` auf der Karte angelegt.
Unter dieser Applikaton werden 3 Dateien abgelegt. Alle Dateien werden mit einem `\0` beendet.

In der ersten Datei wir die Versionnummer des verwendeten FabFire-Protokolls abgelegt.

In der zweiten Datei könnne Informationen über den Space, bei dem die Karte ausgestellt wurde abgelegt werden.
Hierfür kann die Webseite oder eine Lost&Found Mail Adresse hinterlegt werden.

In der dritten Datei werden die Information des Nutzers psedonimisiert abgelegt.
Die Daten werden als `user@space` abgelegt.
Der Server kann daraufhin den Server identifizieren und eine Authentifizierung des Nutzers veranlassen.

Beim FabFire Protokoll werden keine direkten Daten auf der Karte gespeichert. Es wird lediglich eine pseudonimisierte ID des Nutzers angelegt, welche direkt mit dem Nutzer gekoppelt wird.
Die Authentifizierung erfolgt über den Key #1 auf der Applikation.

Der Applikation-Key, als auch der PICC-Key werden für das Protokoll nicht verwendet.