# Readers
Für die Kommunikation zwischen dem Server und der Karte werden APDUs verwendet, die in dem ISO 7816 Standard beschrieben werden.

Der Reader muss daher nach erkennen einer Karte die Kommunikation der DESFire Karte mit den Server vorbereiten.
Sollte der Reader mit ISO 14446 arbeiten, dann kann das Verfahren zum Aufbau einer APDU Kommunikation verwendet werden.

## Protokoll
Der Reader baur nach dem Erkennen einer Karte und der Vorbereitung der Kommunikation ein Verbindung mit dem Server oder einem Adapter auf.

Der Reader sollte bei Verlust der Verbindung der Karte den Server informieren. Die Verbindung kann dann erneut gestartet werden, wenn die Karte wieder verfügbar ist.

Nach dem Start der Komunikation erhält der Reader die erste APDU Nachricht, die zur Smartcard weitergeleitet wird. Die entsprechende Response wird dann zum Server weitergeleitet.
Der Server antwortet auf die Response mit dem nächsten APDU Paket oder beendet die Verbindung zur Karte.
Der Reader kann dann die Verbindung zur Karte abbauen.
Um eine Prüfung des Servers zu ermöglichen, ob sich eine Karte noch auf dem Reader befindet, wird die Verbindung vom Server nicht beendet. Und der Server führt darauf hin in regelmäßigen Abständen eine Ping Befehl zur Karte aus.

Die Kommunikation zwischen dem Server und der Karte kann verschlüsst werden, ist aber in jedem Fall CMAC gesichert.
Somit kann die Integrität der Nachrichten sichergestellt werden.

Der Server kann auch den Reader auffordern, die Verbindung zur Karte neu aufzubauen. So kann der Reader als Deadman Switch verwendet werden.

